pub mod heroes {
	#[derive(Debug, Clone, Copy)]
	pub struct Id(pub usize);

	#[derive(Debug, Clone)]
	pub struct NameOwned(pub String);

	#[derive(Debug, Clone)]
	pub struct IconUrlOwned(pub String);
}

pub mod responses {
	#[derive(Debug, Copy, Clone)]
	pub struct Id(pub usize);

	#[derive(Debug, Copy, Clone)]
	pub struct HeroId(pub usize);

	#[derive(Debug, Clone)]
	pub struct ProcessedTextOwned(pub String);

	#[derive(Debug, Clone)]
	pub struct OriginalTextOwned(pub String);

	#[derive(Debug, Clone)]
	pub struct AudioUrlOwned(pub String);
}
